PROJ = testGeneral
LIBS = -lm
# CFLAGS= -c -O3 -Wall
CFLAGS= -c -g -Wall
DIRBIN = $(HOME)/bin
CC = gcc

OBJS = eigen.o testGeneral.o

all:  $(PROJ)

# link

$(PROJ): $(OBJS)
	$(CC) -o $(PROJ) $(LINKERFLAGS) $(OBJS) $(LIBMIP) $(LIBS)
#
# compiled

$(OBJS) :
	$(CC) $(CFLAGS) $*.c
#
install: $(PROJ)
	@echo "Installing $(PROJ) ..."
	cp $(PROJ) $(DIRBIN)/$(PROJ)
	chmod a+rx $(DIRBIN)/$(PROJ)
	@echo "done"

clean:
	rm -f  *.o  $(PROJ)

homografia.o: homografia.c homografia.h
matrices.o: matrices.c matrices.h
eigen.o: eigen.c eigen.h
